Page MenuHomePhabricator

[MC] Also sort on IsBKeyFrame
ClosedPublic

Authored by fmayer on Oct 10 2022, 7:48 PM.

Diff Detail

Event Timeline

fmayer created this revision.Oct 10 2022, 7:48 PM
Herald added a project: Restricted Project. · View Herald TranscriptOct 10 2022, 7:48 PM
Herald added a subscriber: hiraditya. · View Herald Transcript
fmayer published this revision for review.Oct 11 2022, 12:38 PM
fmayer added a reviewer: pcc.
Herald added a project: Restricted Project. · View Herald TranscriptOct 11 2022, 12:38 PM
fmayer added inline comments.Oct 11 2022, 12:51 PM
llvm/test/MC/ELF/AArch64/cfi.s
2

The assembly in this file is a copy of test/MC/ELF/cfi.s, with cfi_b_key_frame added. I am not especially fond of this test, and we should maybe change it to use llvm-dwarfinfo instead to get a textual representation.

eugenis accepted this revision.Oct 12 2022, 12:55 PM
eugenis added a subscriber: eugenis.

LGTM

llvm/test/MC/ELF/AArch64/cfi.s
2

I agree, but I'm also fine with copying the test first and refactoring both later.

This revision is now accepted and ready to land.Oct 12 2022, 12:55 PM
This revision was automatically updated to reflect the committed changes.